Debian Bug report logs - #538863
python-django: Please include the init.d script to start/stop FastCGI processes

version graph

Package: python-django; Maintainer for python-django is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>; Source for python-django is src:python-django.

Reported by: basti@redtoad.de

Date: Mon, 27 Jul 2009 15:33:01 UTC

Severity: wishlist

Found in version python-django/1.1~rc1-1

Fixed in versions python-django/1.1~rc1-2, python-django/1.1-1

Done: Chris Lamb <lamby@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brett Parker <iDunno@sommitrealweird.co.uk>:
Bug#538863; Package python-django. (Mon, 27 Jul 2009 15:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to basti@redtoad.de:
New Bug report received and forwarded. Copy sent to Brett Parker <iDunno@sommitrealweird.co.uk>. (Mon, 27 Jul 2009 15:33:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: basti@redtoad.de
To: submit@bugs.debian.org
Cc: Brett Parker <iDunno@sommitrealweird.co.uk>
Subject: python-django: Please include the init.d script to start/stop FastCGI processes
Date: Mon, 27 Jul 2009 17:29:46 +0200
Package: python-django
Version: 1.1~rc1-1
Severity: normal

Hi!

It would be nice to include the init.d script by Guillermo Fernandez  
Castellanos et al. (as advertised in the django wiki).
http://code.djangoproject.com/wiki/InitdScriptForDebian

As far as I know, this script used in most installations already anyway.

Thanks for making my life easier!
Sebastian

-- System Information:
Debian Release: 5.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages python-django depends on:
ii  python                        2.5.2-3    An interactive high-level  
object-o
ii  python-support                0.8.4      automated rebuilding  
support for P

Versions of packages python-django recommends:
ii  libjs-jquery                  1.2.6-2    JavaScript library for  
dynamic web

Versions of packages python-django suggests:
ii  python-flup             1.0.2-1          Implements Python Web  
Server Gatew
ii  python-mysqldb          1.2.2-7          A Python interface to MySQL
pn  python-psycopg          <none>           (no description available)
ii  python-psycopg2         2.0.7-4          Python module for PostgreSQL

-- no debconf information







Information forwarded to debian-bugs-dist@lists.debian.org, Brett Parker <iDunno@sommitrealweird.co.uk>:
Bug#538863; Package python-django. (Mon, 27 Jul 2009 15:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <lamby@debian.org>:
Extra info received and forwarded to list. Copy sent to Brett Parker <iDunno@sommitrealweird.co.uk>. (Mon, 27 Jul 2009 15:51:06 GMT) Full text and rfc822 format available.

Message #10 received at 538863@bugs.debian.org (full text, mbox):

From: Chris Lamb <lamby@debian.org>
To: basti@redtoad.de, 538863@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#538863: python-django: Please include the init.d script to start/stop FastCGI processes
Date: Mon, 27 Jul 2009 17:43:31 +0200
[Message part 1 (text/plain, inline)]
severity 538863 wishlist
thanks

Hi Sebastian,

> It would be nice to include the init.d script by Guillermo Fernandez  
> Castellanos et al. (as advertised in the django wiki).
> http://code.djangoproject.com/wiki/InitdScriptForDebian

What exactly do you mean "include" - have it somewhere under /usr/share
as an example, or actually install it in /etc/init.d and /etc/default?

> As far as I know, this script used in most installations already
> anyway.

I'm not so sure - most people use mod_python or mod_wsgi.


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      lamby@debian.org
       `-
[signature.asc (application/pgp-signature, attachment)]

Severity set to 'wishlist' from 'normal' Request was from Chris Lamb <lamby@debian.org> to control@bugs.debian.org. (Mon, 27 Jul 2009 15:51:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Brett Parker <iDunno@sommitrealweird.co.uk>:
Bug#538863; Package python-django. (Mon, 27 Jul 2009 21:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Brett Parker <iDunno@sommitrealweird.co.uk>. (Mon, 27 Jul 2009 21:57:03 GMT) Full text and rfc822 format available.

Message #17 received at 538863@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Chris Lamb <lamby@debian.org>, 538863@bugs.debian.org
Cc: basti@redtoad.de
Subject: Re: Bug#538863: python-django: Please include the init.d script to start/stop FastCGI processes
Date: Mon, 27 Jul 2009 23:54:10 +0200
On Mon, 27 Jul 2009, Chris Lamb wrote:
> > As far as I know, this script used in most installations already
> > anyway.
> 
> I'm not so sure - most people use mod_python or mod_wsgi.

Or fastcgi started by apache itself.

Cheers,
-- 
Raphaƫl Hertzog




Information forwarded to debian-bugs-dist@lists.debian.org, Brett Parker <iDunno@sommitrealweird.co.uk>:
Bug#538863; Package python-django. (Tue, 28 Jul 2009 05:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Rahlf <basti@redtoad.de>:
Extra info received and forwarded to list. Copy sent to Brett Parker <iDunno@sommitrealweird.co.uk>. (Tue, 28 Jul 2009 05:51:03 GMT) Full text and rfc822 format available.

Message #22 received at 538863@bugs.debian.org (full text, mbox):

From: Sebastian Rahlf <basti@redtoad.de>
To: Chris Lamb <lamby@debian.org>, Raphael Hertzog <hertzog@debian.org>
Cc: 538863@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#538863: python-django: Please include the init.d script to start/stop FastCGI processes
Date: Tue, 28 Jul 2009 07:48:21 +0200
>> It would be nice to include the init.d script by Guillermo Fernandez  
>> Castellanos et al. (as advertised in the django wiki).
>> http://code.djangoproject.com/wiki/InitdScriptForDebian
> 
> What exactly do you mean "include" - have it somewhere under /usr/share
> as an example, or actually install it in /etc/init.d and /etc/default?
> 
>> As far as I know, this script used in most installations already
>> anyway.
> 
> I'm not so sure - most people use mod_python or mod_wsgi.

Ok. Let's say most installations that I came across were using lighttpd
and FastCGI with this script (or something along the same lines). So
putting it in /usr/share/ as an example would be a good compromise.

Cheers,
Sebastian




Information forwarded to debian-bugs-dist@lists.debian.org, Brett Parker <iDunno@sommitrealweird.co.uk>:
Bug#538863; Package python-django. (Tue, 28 Jul 2009 12:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <lamby@debian.org>:
Extra info received and forwarded to list. Copy sent to Brett Parker <iDunno@sommitrealweird.co.uk>. (Tue, 28 Jul 2009 12:03:02 GMT) Full text and rfc822 format available.

Message #27 received at 538863@bugs.debian.org (full text, mbox):

From: Chris Lamb <lamby@debian.org>
To: Sebastian Rahlf <basti@redtoad.de>, 538863@bugs.debian.org
Subject: Re: Bug#538863: python-django: Please include the init.d script to start/stop FastCGI processes
Date: Tue, 28 Jul 2009 14:00:39 +0200
[Message part 1 (text/plain, inline)]
tags 538863 + pending
thanks

Sebastian Rahlf wrote:

> Ok. Let's say most installations that I came across were using lighttpd
> and FastCGI with this script (or something along the same lines). So
> putting it in /usr/share/ as an example would be a good compromise.

Okay - agreed.

Perhaps you could also file a bug upstream so they could ship them? They
already ship a Bash completion file so there is clearly not a veto
against that sort of thing.


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      lamby@debian.org
       `-
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Chris Lamb <lamby@debian.org> to control@bugs.debian.org. (Tue, 28 Jul 2009 12:03:04 GMT) Full text and rfc822 format available.

Reply sent to Chris Lamb <lamby@debian.org>:
You have taken responsibility. (Tue, 28 Jul 2009 12:51:12 GMT) Full text and rfc822 format available.

Notification sent to basti@redtoad.de:
Bug acknowledged by developer. (Tue, 28 Jul 2009 12:51:12 GMT) Full text and rfc822 format available.

Message #34 received at 538863-close@bugs.debian.org (full text, mbox):

From: Chris Lamb <lamby@debian.org>
To: 538863-close@bugs.debian.org
Subject: Bug#538863: fixed in python-django 1.1~rc1-2
Date: Tue, 28 Jul 2009 12:32:22 +0000
Source: python-django
Source-Version: 1.1~rc1-2

We believe that the bug you reported is fixed in the latest version of
python-django, which is due to be installed in the Debian FTP archive:

python-django-doc_1.1~rc1-2_all.deb
  to pool/main/p/python-django/python-django-doc_1.1~rc1-2_all.deb
python-django_1.1~rc1-2.diff.gz
  to pool/main/p/python-django/python-django_1.1~rc1-2.diff.gz
python-django_1.1~rc1-2.dsc
  to pool/main/p/python-django/python-django_1.1~rc1-2.dsc
python-django_1.1~rc1-2_all.deb
  to pool/main/p/python-django/python-django_1.1~rc1-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 538863@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chris Lamb <lamby@debian.org> (supplier of updated python-django package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 28 Jul 2009 14:14:45 +0200
Source: python-django
Binary: python-django python-django-doc
Architecture: source all
Version: 1.1~rc1-2
Distribution: experimental
Urgency: low
Maintainer: Brett Parker <iDunno@sommitrealweird.co.uk>
Changed-By: Chris Lamb <lamby@debian.org>
Description: 
 python-django - High-level Python web development framework
 python-django-doc - High-level Python web development framework (documentation)
Closes: 538863
Changes: 
 python-django (1.1~rc1-2) experimental; urgency=low
 .
   * Ship FastCGI initscript and /etc/default file in python-django's examples
     directory (Closes: #538863)
Checksums-Sha1: 
 9ff5e31d8ab43f5883fc654d0084fcf2b92eda1a 1547 python-django_1.1~rc1-2.dsc
 79d496a5eaf14f0b0fd9e437526aa7e31be3e3e3 15686 python-django_1.1~rc1-2.diff.gz
 8927fb2d38cf617654b29fe55d474c0e48728574 3729484 python-django_1.1~rc1-2_all.deb
 a8105ff1e902ba99f4eb0c98edf419bac07420a9 1512958 python-django-doc_1.1~rc1-2_all.deb
Checksums-Sha256: 
 c674ea990fa40a56b53e2cee189dfe8a02106af551746e83f20d62735793bd81 1547 python-django_1.1~rc1-2.dsc
 deb20d7259202b9f54920ccda301bc32bf4bd2f7ae905298b77ffd99b3fad21d 15686 python-django_1.1~rc1-2.diff.gz
 1b30b525657e7621e3ed778b45e7f12277990ba44202ff6704a1973d8f9b2fd4 3729484 python-django_1.1~rc1-2_all.deb
 329fa80cd71ee3186e81644c08d74e9585da82074d7a6e1a7be442b8d74c30e7 1512958 python-django-doc_1.1~rc1-2_all.deb
Files: 
 0c6da5e8e57a8ba5225b0aa78cd74861 1547 python optional python-django_1.1~rc1-2.dsc
 418964c93054d8f52b16842e41adaa64 15686 python optional python-django_1.1~rc1-2.diff.gz
 189f347b483c4974309ef0c603a47ae4 3729484 python optional python-django_1.1~rc1-2_all.deb
 c9c4a127d457e9d43429c699162b2ab5 1512958 doc optional python-django-doc_1.1~rc1-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpu7DsACgkQ5/8uW2NPmiAaHQCglAew9sl652U90s3SwPR+Eb/U
mC0An2pk/lZIA9dSUOzdWpqKMuhOa7mM
=bLvG
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from lamby@users.alioth.debian.org to control@bugs.debian.org. (Wed, 29 Jul 2009 09:33:16 GMT) Full text and rfc822 format available.

Reply sent to Chris Lamb <lamby@debian.org>:
You have taken responsibility. (Wed, 29 Jul 2009 10:36:08 GMT) Full text and rfc822 format available.

Notification sent to basti@redtoad.de:
Bug acknowledged by developer. (Wed, 29 Jul 2009 10:36:08 GMT) Full text and rfc822 format available.

Message #41 received at 538863-close@bugs.debian.org (full text, mbox):

From: Chris Lamb <lamby@debian.org>
To: 538863-close@bugs.debian.org
Subject: Bug#538863: fixed in python-django 1.1-1
Date: Wed, 29 Jul 2009 09:54:51 +0000
Source: python-django
Source-Version: 1.1-1

We believe that the bug you reported is fixed in the latest version of
python-django, which is due to be installed in the Debian FTP archive:

python-django-doc_1.1-1_all.deb
  to pool/main/p/python-django/python-django-doc_1.1-1_all.deb
python-django_1.1-1.diff.gz
  to pool/main/p/python-django/python-django_1.1-1.diff.gz
python-django_1.1-1.dsc
  to pool/main/p/python-django/python-django_1.1-1.dsc
python-django_1.1-1_all.deb
  to pool/main/p/python-django/python-django_1.1-1_all.deb
python-django_1.1.orig.tar.gz
  to pool/main/p/python-django/python-django_1.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 538863@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chris Lamb <lamby@debian.org> (supplier of updated python-django package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 29 Jul 2009 11:26:28 +0200
Source: python-django
Binary: python-django python-django-doc
Architecture: source all
Version: 1.1-1
Distribution: unstable
Urgency: low
Maintainer: Brett Parker <iDunno@sommitrealweird.co.uk>
Changed-By: Chris Lamb <lamby@debian.org>
Description: 
 python-django - High-level Python web development framework
 python-django-doc - High-level Python web development framework (documentation)
Closes: 538863
Changes: 
 python-django (1.1-1) unstable; urgency=low
 .
   * New upstream release.
   * Merge from experimental:
     - Ship FastCGI initscript and /etc/default file in python-django's examples
       directory (Closes: #538863)
     - Drop "05_10539-sphinx06-compatibility.diff"; it has been applied
       upstream.
     - Bump Standards-Version to 3.8.2.
Checksums-Sha1: 
 9151ba1f4ec6fb153249ab39bb9c353290f142a7 1519 python-django_1.1-1.dsc
 690dda39595d70678840e917d712fc916d137c16 5609609 python-django_1.1.orig.tar.gz
 2718fd92cd1165b01becd54352adbdaaa6e6e523 15449 python-django_1.1-1.diff.gz
 c257de992136e0d9c37f7d9b65fed1c12f712451 3845950 python-django_1.1-1_all.deb
 920bde8309f44ceb2023ea173843cc259117cfd1 1521946 python-django-doc_1.1-1_all.deb
Checksums-Sha256: 
 44a7fedf2ba9fdf31817e9a44da8014b3b3913de30ff5bd3d1eae972602b42d5 1519 python-django_1.1-1.dsc
 578338be3288eff853039ad498297decdc3bb20265a0c4dee09efdf8e267c900 5609609 python-django_1.1.orig.tar.gz
 b52a5b1d5e84fd5c73aa26a0d9f166886caf52bb92bff5fd62170bc13a83325e 15449 python-django_1.1-1.diff.gz
 7d2c34bee09f345239c22a986c5bfa5a5dc04ccdddbeffb129eb9ae47a159103 3845950 python-django_1.1-1_all.deb
 e307ec57758d5708c427cd20a21d38b74dc388b320ce3406a056f86a3f9b31d2 1521946 python-django-doc_1.1-1_all.deb
Files: 
 7f41cf56d50d8de217f637a44524dab6 1519 python optional python-django_1.1-1.dsc
 b2d75b4457a39c405fa2b36bf826bf6b 5609609 python optional python-django_1.1.orig.tar.gz
 6971f8e7aadd9bcff5405f24ac451015 15449 python optional python-django_1.1-1.diff.gz
 cdb5298250e689c022fae2525ae7f1bf 3845950 python optional python-django_1.1-1_all.deb
 1f148ef88de62973b42779ed60b4f059 1521946 doc optional python-django-doc_1.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpwFlUACgkQ5/8uW2NPmiBMhgCeMDxRoCbJhm5CwdtQrTvnEGAM
qioAnjIDw1WwgywhsfpiO4nbyky74ZhI
=P1X6
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Aug 2009 07:32:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:13:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.